
package com.tmerclub.cloud.api.user.bo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author tmerclub
 * @date 2020/12/22
 */
@Data
public class UserScoreBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long userId;

    private Integer payType;

    private List<Long> orderIds;

    /**
     * 是否解锁积分
     */
    private Boolean isUnLock;

    /**
     * 判断是否取消订单
     */
    private Boolean flag;
    public Boolean getUnLock() {
        return isUnLock;
    }

    public void setUnLock(Boolean unLock) {
        isUnLock = unLock;
    }

    @Override
    public String toString() {
        return "UserScoreBO{" +
                "userId=" + userId +
                ", payType=" + payType +
                ", orderIds=" + orderIds +
                ", isUnLock=" + isUnLock +
                ", flag=" + flag +
                '}';
    }
}
